package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * UploadPfValueConfig对象 upload_pf_value_config
 *
 * @author hlf
 * @date 2022-01-10
 */
public class UploadPfValueConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long pfNo;

    private Long windplantNo;

    private Long projectNo;

    private Long timeScale;

    private String name;

    private String nameDesc;

    private Date statTime;

    private String windplantName;

    private String projectName;

    public void setPfNo(Long pfNo) {
        this.pfNo = pfNo;
    }

    public Long getPfNo() {
        return pfNo;
    }

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setTimeScale(Long timeScale) {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() {
        return timeScale;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setNameDesc(String nameDesc) {
        this.nameDesc = nameDesc;
    }

    public String getNameDesc() {
        return nameDesc;
    }

    public void setStatTime(Date statTime) {
        this.statTime = statTime;
    }

    public Date getStatTime() {
        return statTime;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("pfNo", getPfNo())
                .append("windplantNo", getWindplantNo())
                .append("projectNo", getProjectNo())
                .append("timeScale", getTimeScale())
                .append("name", getName())
                .append("nameDesc", getNameDesc())
                .append("statTime", getStatTime())
                .toString();
    }
}
